import { makeAutoObservable } from "mobx";
import { UserInfo } from "./UserInfo";

type UserProps = {
  userInfo: UserInfo;
  isLoggedIn: boolean;
};

export class User {
  userInfo: UserInfo;
  isLoggedIn: boolean;
  constructor(p?: UserProps) {
    this.userInfo = p?.userInfo ?? {};
    this.isLoggedIn = false;
    makeAutoObservable(this);
  }

  signIn() {
    this.isLoggedIn = true;
  }

  signOut() {
    this.isLoggedIn = false;
  }
}
