import { Request } from "./Request";

const PREFIX = "/api/aorta";
const PREFIX_CERT = "/cert";

type ResponseType = Promise<{
  code?: number | string;
  data?: unknown;
  msg?: string;
}>;

export const Apis = {
  /**
   * 用户登录
   */
  signIn: (p: any): ResponseType => Request.post(PREFIX + "/auth/signIn", p),
  /**
   * 用户认证
   */
  userAuth: (): ResponseType => Request.get(PREFIX_CERT + "/auth/user"),
};
