import WebpackDevServer from "webpack-dev-server";

type TProxyMap =
  | WebpackDevServer.ProxyConfigMap
  | WebpackDevServer.ProxyConfigArrayItem
  | WebpackDevServer.ProxyConfigArray
  | undefined;

export const proxyMap: TProxyMap = {
  "/dicom-web": {
    target: "http://localhost:8042/dicom-web/",
    changeOrigin: true,
    pathRewrite: { "^/dicom-web": "" },
  },
  "/cert": {
    target: "http://localhost:12144/",
    changeOrigin: true,
    pathRewrite: { "^/cert": "/cert" },
  },
  "/api": {
    target: "http://localhost:9008/",
    changeOrigin: true,
    pathRewrite: { "^/api": "" },
  },
};
