import { UserRepository } from "@@/domain/User/UserRepository";
import { UserService } from "@@/domain/User/UserService";
import { createContext } from "react";

export type Services = {
  userDomainService: UserService;
};

const defaultServiceMap = {
  userDomainService: new UserService(new UserRepository()),
};

export const DomainServiceContext = createContext<Services>(defaultServiceMap);

interface DomainServiceProviderProps {
  children?: JSX.Element;
}

export const DomainServiceProvider = (props: DomainServiceProviderProps) => {
  return (
    <DomainServiceContext.Provider value={defaultServiceMap}>
      {props.children}
    </DomainServiceContext.Provider>
  );
};
