import { DomainServiceContext, Services } from "@/context/domainService";
import { useContext } from "react";

export const useDomain = (): Services => {
  const context = useContext(DomainServiceContext);
  if (context === null) {
    throw new Error("useDomain ctx丢失，必须在domainService上下文中使用");
  }
  return context;
};
