import { useEffect } from "react";
import { useLocation } from "react-router";
import { SDK_Logger } from "@tavi/util";

const sdk_logger = new SDK_Logger({
  app_id: "aorta",
  tracking_attr: "data-tracking-id",
});
window.sdk_logger = sdk_logger;

export const useTracker = () => {
  const location = useLocation();

  useEffect(() => {
    console.log("NODE_ENV", process.env.NODE_ENV);
    console.log("BASE_ENV", process.env.BASE_ENV);
    console.log("process.env", process.env);
  }, []);
  useEffect(() => {
    document.body.addEventListener("click", (e) => {
      const id = sdk_logger.findTrackingId(e.target as HTMLElement | null);
      console.log("id", id);
    });
  }, []);

  useEffect(() => {
    if (location.pathname) {
      console.log(location.pathname);
    }
  }, [location.pathname]);
};
