import './index.less'

interface HeadingProps {
  title: string
  forRef?: boolean
  style?: React.CSSProperties
  children?: JSX.Element
  level?: 1 | 2
}

export const Heading = (props: HeadingProps) => {
  const levelMapping = {
    1: (
      <div className='heading l1' style={props.style}>
        {props.title}
      </div>
    ),
    2: (
      <div className='heading l2' style={props.style}>
        {props.title}
        {props.forRef && <span>(仅供参考)</span>}
      </div>
    )
  }

  return levelMapping[props.level ?? 2]
}
