import "./index.less";

export interface PaperFootProps {
  children?: JSX.Element;
  date?: string;
  /**
   * 页码
   */
  pageNum?: number;
  /**
   * 全部页码
   */
  totalPageNum?: number;
}

export const PaperFoot = (props: PaperFootProps) => {
  return (
    <div className="page-foot">
      <div>
        {props.date && (
          <>
            报告日期: <b>{props.date}</b>
          </>
        )}
      </div>
      <div>
        {props.pageNum && props.totalPageNum && (
          <>
            第<b>{props.pageNum}</b>页/共<b>{props.totalPageNum}</b>页
          </>
        )}
      </div>
    </div>
  );
};
