import "./index.less";
import { PaperHead } from "./Head";
import { PaperFoot, PaperFootProps } from "./Foot";

interface PaperProps {
  children?: JSX.Element | any;
  hiddenHeadFoot?: boolean;
}

type PaperFootPageProps = Pick<
  PaperFootProps,
  "date" | "pageNum" | "totalPageNum"
>;

export const Paper = (props: PaperProps & PaperFootPageProps) => {
  return (
    <div className="paper a4">
      <main>
        {!props.hiddenHeadFoot && <PaperHead />}
        {props.children}
        {!props.hiddenHeadFoot && (
          <PaperFoot
            date={props.date}
            pageNum={props.pageNum}
            totalPageNum={props.totalPageNum}
          />
        )}
      </main>
    </div>
  );
};
