interface ProgressBarProps {
  children?: JSX.Element;
  color?: string;
  bgColor?: string;
  completed: number;
}

export const ProgressBar = (props: ProgressBarProps) => {
  const fixed = props.completed * 100;

  const containerStyles: React.CSSProperties = {
    position: "fixed",
    height: 5,
    left: 0,
    top: 0,
    right: 0,
    backgroundColor: "#e0e0de",
  };

  const fillerStyles: React.CSSProperties = {
    height: "100%",
    width: `${props.completed * 100}%`,
    backgroundColor: props?.bgColor ?? "red",
    borderRadius: "inherit",
    textAlign: "right",
  };

  const labelStyles: React.CSSProperties = {
    display: "inline-block",
    transform: "translateY(2px)",
    fontSize: "12px",
    color: props.color ?? "red",
  };

  return (
    <div style={containerStyles}>
      <div style={fillerStyles}>
        <span style={labelStyles}>{`${fixed.toFixed(2)}%`}</span>
      </div>
    </div>
  );
};
