import "./index.less";

interface ReferenceProps {
  children?: JSX.Element;
  literature: string[];
  style?: React.CSSProperties;
  titleVisible?: boolean;
}

export const Reference = (props: ReferenceProps) => {
  const { titleVisible = false } = props;
  return (
    <div className="ref-literature" style={props.style}>
      {titleVisible && <h4>参考文献：</h4>}
      {props.literature.map((t, i) => (
        <p key={i}>{t}</p>
      ))}
    </div>
  );
};
