/**
 * 钙化形态
 * PageNumber = 9
 */

import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Table } from "../../components/Table";
import { Reference } from "../../components/Reference";

interface CalcifyProps {
  children?: JSX.Element;
}

const data = [
  [
    { prop: "疑似钙化区域体积", content: "1351.53mmm³", highlight: true },
    { prop: "Hu850", content: "72.00mm³" },
  ],
];

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const Calcify = (props: CalcifyProps) => {
  return (
    <div>
      <Heading title="钙化形态" style={{ marginBottom: "2.36rem" }} />
      <Table
        data={data}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <div className="risk-module">
        <section className="valve-ring-risk">
          <h2 className="risk-evaluate">冠脉阻塞风险程度：重度</h2>
          <img src="" alt="" />
        </section>
        <section>
          <h3>
            冠脉阻塞风险定义<span>(可见参考文献)</span>
          </h3>
          <p>{"钙化积分800<X<=1000轻度、1000<X<=1500中度、X>1500以上重度。"}</p>
        </section>
      </div>
      <ImageItem src={src} title={"疑似钙化区域"} />
      <Reference
        titleVisible
        style={{ position: "absolute", bottom: "3rem" }}
        literature={[
          "Miralem Pasic, Axel Unbehaun, Semih Buz, Thorsten Drews, Roland Hetzer. Annular Rupture During TAVR: Despite It, Dr. Alain Cribier Should Receive a Nobel Prize. JACC: Cardiovascular Interventionsthis link is disabled, 2023, 13(15), 1800-1802.",
        ]}
      />
    </div>
  );
};
