import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Reference } from "../../components/Reference";
import { Table } from "../../components/Table";

interface CoronaryProps {
  children?: JSX.Element;
}

const data = [
  [{ prop: "左冠开口高度", content: "9.67mm", colSpan: 2, highlight: true }],
];

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const Coronary = (props: CoronaryProps) => {
  return (
    <div className="coronary">
      <Heading
        title="冠状动脉和临近结构"
        level={1}
        style={{ marginBottom: "2.36rem" }}
      />
      <Heading title="左冠开口高度" style={{ marginBottom: "1.43rem" }} />
      <Table
        data={data}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <div className="risk-module">
        <section>
          <h2>冠脉阻塞风险程度：重度</h2>
          <img src="" alt="" />
        </section>
        <section>
          <h3>
            冠脉阻塞风险定义<span>(可见参考文献)</span>
          </h3>
          <p>
            窦高30mm以下轻度，窦高30mm以下（开口高度12以下）中度，窦高30mm以下（开口高度12以下、瓣叶长度12以上）重度。
          </p>
        </section>
      </div>
      <ImageItem src={src} title={"左冠开口高度"} />
      <Reference
        titleVisible
        style={{ position: "absolute", bottom: "3rem" }}
        literature={[
          "【1】Oluwaseun A. Akinseye, Sunil K. Jha, Uzoma N. Ibebuogu. Clinical Outcomes of Coro- nary Occlusion Following Transcatheter Aortic Valve Replacement: A Systematic Review.",
        ]}
      />
    </div>
  );
};
