import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Table } from "../../components/Table";

interface LVOTProps {
  children?: JSX.Element;
}

const data = [
  [
    { prop: "周长", content: "1mm" },
    { prop: "周长导出径", content: "1mm" },
  ],
  [
    { prop: "面积", content: "1mm²" },
    { prop: "面积导出径", content: "1mm" },
  ],
  [
    { prop: "长径", content: "1mm" },
    { prop: "短径", content: "1mm" },
  ],
  [{ prop: "平均径", content: "1mm", colSpan: 1 }],
];

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const LVOT = (props: LVOTProps) => {
  return (
    <div>
      <Heading title="左室流出道 LVOT" style={{ marginBottom: "1.43rem" }} />
      <Table
        data={data}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <ImageItem src={src} title={"左室流出道 LVOT"} />
    </div>
  );
};
