/**
 * 左冠窦瓣叶长度
 */

import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Reference } from "../../components/Reference";
import { Table } from "../../components/Table";

interface LeftCoronarySinusProps {
  children?: JSX.Element;
}

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

const data = [
  [{ prop: "左冠开口高度", content: "9.67mm", colSpan: 2, highlight: true }],
];

export const LeftCoronarySinus = (props: LeftCoronarySinusProps) => {
  return (
    <div>
      <Heading
        title="左冠窦瓣叶长度"
        forRef
        style={{ marginBottom: "1.43rem" }}
      />
      <Table
        data={data}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <div className="risk-module">
        <section>
          <h2>冠脉阻塞风险程度：重度</h2>
          <img src="" alt="" />
        </section>
        <section>
          <h3>
            冠脉阻塞风险定义<span>(可见参考文献)</span>
          </h3>
          <p>
            窦高30mm以下轻度，窦高30mm以下（开口高度12以下）中度，窦高30mm以下（开口高度12以下、瓣叶长度12以上）重度。
          </p>
        </section>
      </div>
      <ImageItem
        title="左冠窦瓣叶长度"
        src={src}
        imgStyle={{ height: "6.43rem" }}
      />
      <Reference
        style={{ position: "absolute", bottom: "3rem" }}
        literature={[
          "【1】Oluwaseun A. Akinseye, Sunil K. Jha, Uzoma N. Ibebuogu. Clinical Outcomes of Coro- nary Occlusion Following Transcatheter Aortic Valve Replacement: A Systematic Review. Cardiovasc Revasc Med. 2018 Mar;19(2):229-236. doi: 10.1016/j.carrev.2017.09.006. doi:10.1016/j.carrev.2017.09.006",
          "【2】Roberto Valvo, Giuliano Costa, Marco Barbanti. How to Avoid Coronary Occlusion During TAVR Valve-in-Valve Procedures. Front. Cardiovasc. Med. 6:168.",
        ]}
        titleVisible
      />
    </div>
  );
};
