import { ImageItem } from "../../components/ImageItem";
import "./index.less";
import { Reference } from "../../components/Reference";

interface ProjectionAngleP2Props {
  children?: JSX.Element;
}

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const ProjectionAngleP2 = (props: ProjectionAngleP2Props) => {
  return (
    <div className="project-angle-p2">
      <div className="image-group">
        <ImageItem title="右窦居中" src={src} />
        <ImageItem title="左右窦重合（Cusp-Overlap）" src={src} />
      </div>
      <Reference
        titleVisible
        style={{ position: "absolute", bottom: "3rem" }}
        literature={[
          "【1】Kaneko U, Hachinohe D, Kobayashi K, Shitan H, Mitsube K, Furugen A, Kawamura T, Koshima R, Fujita T. Evolut Self-Expanding Transcatheter Aortic Valve Replacement in Patients with Extremely Horizontal Aorta (Aortic Root Angle ≥ 70°). Int Heart J. 2020 Sep 29;61(5):1059-1069. doi: 10.1536/ihj.20-120. Epub 2020 Sep 12.",
          "【2】Espinoza Rueda MA, Muratalla González R, García García JF, Morales Portano JD, Alcántara Meléndez MA, Jiménez Valverde AS, Rivas Gálvez RE, Campos Delgadillo JL, González CL, Gayosso Ortiz JR, Merino Rajme JA. Description of the Step-by-Step Technique With Snare Catheter for TAVR in Horizontal Aorta. JACC Case Rep. 2021 Dec 1;3(17):1811-1815. doi: 10.1016/j.jaccas.2021.09.006.",
        ]}
      />
    </div>
  );
};
