import { Heading } from "../../components/Heading";
import { Table, TableData } from "../../components/Table";
import "./index.less";
import { ImageItem } from "../../components/ImageItem";
interface ProjectionAngleProps {
  children?: JSX.Element;
}

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

const tableData: TableData = [
  [
    {
      prop: "瓣环平面与水平面夹角",
      content: "66deg",
      highlight: true,
      colSpan: 5,
    },
  ],
  [
    { prop: "右窦居中", content: "" },
    { prop: "LAO", content: "15deg" },
    { prop: "CAU", content: "25deg" },
  ],
  [
    { prop: "左右窦重合（Cusp-Overlap）", content: "" },
    { prop: "LAO", content: "15deg" },
    { prop: "CAU", content: "25deg" },
  ],
  [
    { prop: "无冠窦平行法", content: "" },
    { prop: "LAO", content: "15deg" },
    { prop: "CAU", content: "25deg" },
  ],
  [
    { prop: "右无重合", content: "" },
    { prop: "LAO", content: "15deg" },
    { prop: "CAU", content: "25deg" },
  ],
];

const dots = [
  {
    color: "#BA503D",
    alias: "左冠窦窦底",
  },
  {
    color: "#E7B551",
    alias: "右冠窦窦底",
  },
  {
    color: "#4B9979",
    alias: "无冠窦窦底",
  },
];

export const ProjectionAngle = (props: ProjectionAngleProps) => {
  return (
    <div className="project-angle">
      <Heading title="投照角度" level={1} style={{ marginBottom: "2.36rem" }} />
      <Heading title="建议投照角度" style={{ marginBottom: "1.43rem" }} />
      <Table data={tableData} border={{ outer: true }} />
      <p className="annotation">
        注：deg即Degree的缩写，表示角度制。例：15deg=15°
      </p>
      <div className="risk-module">
        <section>
          <h2 className="risk-evaluate">心脏横位风险程度：中度</h2>
          <img src="" alt="" />
        </section>
        <section>
          <h3>
            心脏横位风险定义<span>(可见参考文献)</span>
          </h3>
          <p>
            瓣环平面与水平面夹角，48deg-58deg轻度、59deg-70deg中度，70deg以上重度。
          </p>
        </section>
      </div>
      <ul className="dots" style={{ marginBottom: "1.43rem" }}>
        {dots.map((i, index) => (
          <li key={index}>
            <em style={{ background: i.color }}></em>
            <span>{i.alias}</span>
          </li>
        ))}
      </ul>
      <div className="image-group">
        <ImageItem title="右窦居中" src={src} />
        <ImageItem title="左右窦重合（Cusp-Overlap）" src={src} />
      </div>
    </div>
  );
};
