import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import "./index.less";

interface RingShapeProps {
  children?: JSX.Element;
}

const data = [
  {
    alias: "左室流出道",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "瓣环下：2mm",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "瓣环平面",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "瓣环上：2mm",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "瓣环上：4mm",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "瓣环上：6mm",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "瓣环上：8mm",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "瓣环上：10mm",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "瓣环上：12mm",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
];

export const RingShape = (props: RingShapeProps) => {
  return (
    <div>
      <Heading title="环上形态" style={{ marginBottom: "2.86rem" }} />
      <section className="ring-shape">
        {data.map((i, index) => (
          <ImageItem key={index} title={i.alias} src={i.src} />
        ))}
      </section>
    </div>
  );
};
