import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Table } from "../../components/Table";
import { Reference } from "../../components/Reference";

interface STJProps {
  children?: JSX.Element;
}

const data = [
  [
    { prop: "周长", content: "1mm" },
    { prop: "周长导出径", content: "1mm" },
  ],
  [
    { prop: "面积", content: "1mm²" },
    { prop: "面积导出径", content: "1mm" },
  ],
  [
    { prop: "长径", content: "1mm" },
    { prop: "短径", content: "1mm" },
  ],
  [
    { prop: "平均径", content: "1mm" },
    { prop: "窦管交界平面高度", content: "22.50mm" },
  ],
];

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const STJ = (props: STJProps) => {
  return (
    <div>
      <Heading title="窦管交界 STJ" style={{ marginBottom: "1.43rem" }} />
      <Table
        data={data}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <div className="risk-module">
        <section>
          <h2 className="risk-evaluate">冠脉阻塞风险程度：重度</h2>
          <img src="" alt="" />
        </section>
        <section>
          <h3>
            冠脉阻塞风险定义<span>(可见参考文献)</span>
          </h3>
          <p>
            窦高30mm以下轻度，窦高30mm以下（开口高度12以下）中度，窦高30mm以下（开口高度12以下、瓣叶长度12以上）重度。
          </p>
        </section>
      </div>
      <ImageItem src={src} title={"窦管交界 STJ"} />
      <Reference
        titleVisible
        style={{ position: "absolute", bottom: "3rem" }}
        literature={[
          "【1】Oluwaseun A. Akinseye, Sunil K. Jha, Uzoma N. Ibebuogu. Clinical Outcomes of Coro- nary Occlusion Following Transcatheter Aortic Valve Replacement: A Systematic Review.",
          "【2】Oluwaseun A. Akinseye, Sunil K. Jha, Uzoma N. Ibebuogu. Clinical Outcomes of Coro- nary Occlusion Following Transcatheter Aortic Valve Replacement: A Systematic Review.",
        ]}
      />
    </div>
  );
};
