/**
 * 分隔形态
 */

import { Heading } from "../../components/Heading";
import "./index.less";
import { ImageItem } from "../../components/ImageItem";

interface SliceProps {
  children?: JSX.Element;
}

const data = [
  {
    alias: "左冠瓣",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "右冠瓣",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
  {
    alias: "无冠瓣",
    src: "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png",
  },
];

export const Slice = (props: SliceProps) => {
  return (
    <div className="slice">
      <Heading title="分隔形态" />
      <p style={{ marginTop: 0, marginBottom: "2.86rem" }}>
        {data.map((i, index) => (
          <span key={index}>{i.alias}</span>
        ))}
      </p>
      <section className="slice-image">
        {data.map((i, index) => (
          <ImageItem key={index} src={i.src} title={i.alias} />
        ))}
      </section>
    </div>
  );
};
