import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Reference } from "../../components/Reference";
import { Table } from "../../components/Table";

interface SuicideLeftProps {
  children?: JSX.Element;
}

const tableData = [
  [
    {
      prop: "左室心腔容积",
      content: "66deg",
    },
    {
      prop: "左室心肌体积",
      content: "66deg",
    },
  ],
];

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const SuicideLeft = (props: SuicideLeftProps) => {
  return (
    <div>
      <Heading title="三维重建效果" style={{ marginBottom: "1.43rem" }} />
      <Table
        data={tableData}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <p style={{ color: "#2E97D1", marginTop: 0, marginBottom: ".86rem" }}>
        自杀性左心室风险定义
      </p>
      <p style={{ fontSize: ".85rem", marginTop: 0, marginBottom: "2.86rem" }}>
        a.左室心腔容积≤15ml；b.左室心腔体积/（左室心腔体积+左室心肌体积）＜25%
        满足a条件为轻度，满足b条件中度，同时满足ab条件重度
      </p>
      <ImageItem title="三维重建" src={src} />
      <Reference
        titleVisible
        style={{ position: "absolute", bottom: "3rem" }}
        literature={[
          'Bode MF, Ahmed AA, Baron SJ, Labib SB, Gadey G. The use of MitraClip to prevent posttranscatheter aortic valve replacement left ventricular "suicide". Catheter Cardiovasc Interv. 2021 Feb 1;97(2):369-372. doi: 10.1002/ccd.29100. Epub 2020 Jun 26.',
        ]}
      />
    </div>
  );
};
