import { Navigate, RouteObject } from "react-router";
import { Login } from "../modules/Login";
import { PatientList } from "../modules/PatientList";
import { RootViewer } from "../modules/Root/Viewer/Root";
import { PeripheralViewer } from "../modules/Peripheral";
import { Dashboard } from "@/modules/Dashboard";
import { ReportFullVersion } from "@/modules/Report/Full";
import { Guard } from "./AuthGuard";
import { Layout } from "@/components/Layout";

export const routesConfig: RouteObject[] = [
  {
    path: "login",
    element: <Guard element={<Login />} title="CVPILOT Viewer" />,
  },
  {
    path: "/",
    element: <Guard element={<Layout />} auth />,
    children: [
      {
        path: "/",
        element: <Navigate to={"dash"} replace />,
      },
      {
        path: "dash",
        element: <Guard element={<Dashboard />} title="仪表盘" />,
      },
      {
        path: "list",
        element: <Guard element={<PatientList />} title="患者列表" />,
      },
      {
        path: "root/viewer",
        element: <Guard element={<RootViewer />} title="根部分析" />,
      },
      {
        path: "root/report/full",
        element: <Guard element={<ReportFullVersion />} title="完整报告" />,
      },
      {
        path: "peripheral/viewer",
        element: <Guard element={<PeripheralViewer />} title="外周分析" />,
      },
    ],
  },
  {
    path: "*",
    element: <span>404</span>,
  },
];
