import { Permission } from "./Permission";
import { User } from "./User";

export class Role {
  id?: number;
  name: string;
  alias: string;
  isEnabled?: boolean;
  description?: string;
  permissions?: Permission[];
  users?: User[];

  constructor({
    id,
    name,
    alias,
    isEnabled = true,
    description,
    permissions = [],
    users = [],
  }: {
    id: number;
    name: string;
    alias: string;
    isEnabled: boolean;
    description: string;
    permissions: Permission[];
    users: User[];
  }) {
    this.id = id;
    this.name = name;
    this.alias = alias;
    this.isEnabled = isEnabled;
    this.description = description;
    this.permissions = permissions;
    this.users = users;
  }
}
