import { Role } from "./Role";

export class User {
  id?: number;
  username?: string;
  password?: string;
  phoneNumber?: string;
  createTime?: string;
  updateTime?: string;
  isEnabled?: boolean;
  roles?: Role[];

  constructor({
    id,
    username,
    password,
    phoneNumber = "",
    createTime = "",
    updateTime = "",
    isEnabled = true,
    roles = [],
  }: Partial<User>) {
    this.id = id!;
    this.username = username!;
    this.password = password!;
    this.phoneNumber = phoneNumber;
    this.createTime = createTime;
    this.updateTime = updateTime;
    this.isEnabled = isEnabled;
    this.roles = roles;
  }
}
