import { BrowserRouter } from "react-router-dom";
import { AuthProvider } from "./context/auth";
import { RouterElements } from "./router";
import { ConfigProvider } from "antd";
import { theme } from "./constants";

export const App = () => {
  return (
    <ConfigProvider theme={theme}>
      <AuthProvider>
        <BrowserRouter>
          <RouterElements />
        </BrowserRouter>
      </AuthProvider>
    </ConfigProvider>
  );
};
