import { RbacRepository } from "@@/domain/Rbac/RbacRepository";
import { RbacService } from "@@/domain/Rbac/RbacService";
import { createContext } from "react";

export type Services = {
  rbacDomainService: RbacService;
};

const defaultServiceMap = {
  rbacDomainService: new RbacService(new RbacRepository()),
};

export const DomainServiceContext = createContext<Services>(defaultServiceMap);

interface DomainServiceProviderProps {
  children?: JSX.Element;
}

export const DomainServiceProvider = (props: DomainServiceProviderProps) => {
  return (
    <DomainServiceContext.Provider value={defaultServiceMap}>
      {props.children}
    </DomainServiceContext.Provider>
  );
};
