import { CheckOutlined, StopOutlined } from "@ant-design/icons";
import { RbacService } from "@@/domain/Rbac/RbacService";
import { User } from "@@/domain/Rbac/entities/User";
import { observer } from "mobx-react-lite";
import { Table } from "antd";

const columns = [
  {
    title: "#",
    dataIndex: "id",
    key: "id",
  },
  {
    title: "用户名",
    dataIndex: "username",
    key: "username",
  },
  {
    title: "手机号",
    dataIndex: "phoneNumber",
    key: "username",
  },
  {
    title: "状态",
    dataIndex: "isEnabled",
    key: "isEnabled",
    render: (_: unknown, record: User) =>
      record.isEnabled ? (
        <CheckOutlined style={{ color: "#52c41a" }} />
      ) : (
        <StopOutlined style={{ color: "#ff4d4f" }} />
      ),
  }
];

export const RoleUsersTable: React.FC<{ domainService: RbacService }> =
  observer(({ domainService }) => {
    const { activeRole } = domainService;
    return (
      activeRole?.users && (
        <Table rowKey="id" dataSource={activeRole.users} columns={columns} />
      )
    );
  });
