import { Button, Checkbox, Form, Input } from "antd";
import "./index.less";
import axios from "axios";

interface LoginProps {
  children?: JSX.Element;
}

export const Login = (props: LoginProps) => {
  const onFinish = (values: any) => {
    const { remember, ...rest } = values;
    console.log("Success:", rest);
    axios.post("/cert/admin/sign", rest);
  };

  const onFinishFailed = (errorInfo: any) => {
    console.log("Failed:", errorInfo);
  };

  return (
    <div
      className="login-container"
      style={{ backgroundImage: `url(/wave.svg)` }}
    >
      <Form
        name="basic"
        style={{ width: 300 }}
        layout="vertical"
        onFinish={onFinish}
        onFinishFailed={onFinishFailed}
        autoComplete="off"
      >
        <Form.Item
          label="用户名"
          name="username"
          rules={[{ required: true, message: "请输入您的用户名" }]}
        >
          <Input />
        </Form.Item>

        <Form.Item
          label="密码"
          name="password"
          rules={[{ required: true, message: "请输入您的密码" }]}
        >
          <Input.Password />
        </Form.Item>

        <Form.Item>
          <Button block type="primary" htmlType="submit">
            登录
          </Button>
        </Form.Item>
      </Form>
    </div>
  );
};
