import { useLocation } from "react-router";
import { LogoTable } from "./LogTable";

interface LoggerProps {
  children?: JSX.Element;
}
interface StateType {
  id: string;
  username: string;
  hasRoles: string[];
}

export const Logger = (props: LoggerProps) => {
  const location = useLocation();
  const { id, username, hasRoles } = location.state as StateType;
  return (
    <div>
      <p>
        {id},{username},{hasRoles}
      </p>
      <LogoTable />
    </div>
  );
};
