import { AuthFailedReplacePath, defaultDocumentTitle } from "@/constants";
import { Navigate, useLocation } from "react-router-dom";
import { useAuth } from "../hook/useAuth";
import { useEffect } from "react";

interface GuardProps {
  element: JSX.Element;
  auth?: boolean;
  title?: string;
}

/**
 * 守卫
 */
export const Guard = (props: GuardProps) => {
  const { auth } = useAuth();
  const location = useLocation();

  useEffect(() => {
    document.title = props?.title ?? defaultDocumentTitle;
  }, [location.pathname]);

  return props.auth ? (
    auth.isLoggedIn ? (
      props.element
    ) : (
      <Navigate to={AuthFailedReplacePath} state={{ from: location }} replace />
    )
  ) : (
    props.element
  );
};
