import { Layout } from "@/components/Layout";
import { Login } from "@/modules/Login";
import { Navigate, RouteObject } from "react-router";
import { Guard } from "./AuthGuard";
import { Permission } from "@/modules/Configuration/Permission";
import { Role } from "@/modules/Configuration/Role";
import { UserManagement } from "@/modules/User/List";
import { Logger } from "@/modules/User/Logger";

export const routesConfig: RouteObject[] = [
  {
    path: "login",
    element: <Guard element={<Login />} title="登录" />,
  },
  {
    path: "/",
    element: <Layout />,
    children: [
      { path: "/", element: <Navigate to="configuration/role" replace /> },
      // {
      //   path: "aorta",
      //   element: <Guard element={<Aorta />} title="aorta" />,
      // },
      // {
      //   path: "dmp/:id",
      //   element: <Guard element={<Dmp />} title="dmp" auth />,
      // },
      {
        path: "configuration",
        children: [
          {
            path: "role",
            element: <Guard element={<Role />} title="角色 - 认证中心" />,
          },
          {
            path: "permission",
            element: <Guard element={<Permission />} title="权限 - 认证中心" />,
          },
        ],
      },
      {
        path: "user",
        children: [
          {
            path: "management",
            element: (
              <Guard element={<UserManagement />} title="用户管理 - 认证中心" />
            ),
          },
          {
            path: "audit",
            element: <Guard element={<Logger />} title="用户日志 - 认证中心" />,
          },
        ],
      },
    ],
  },
];
