import { DownloadArchiveDTO, ExistInPacsDTO } from "@@/infra/api";
import { DicomRepository } from "./DicomRepository";

export class DicomService {
  constructor(private dicomRepository: DicomRepository) {}

  /**
   * 直穿pacs
   */
  async upload2Pacs(dcmFile: File) {
    return await this.dicomRepository.upload2Pacs(dcmFile);
  }

  /**
   * dicom徐磊是否在pacs中存在
   */
  async existInPacs(p: ExistInPacsDTO) {
    return await this.dicomRepository.existInPacs(p);
  }

  async downloadDicom(p: DownloadArchiveDTO) {
    return await this.dicomRepository.downloadDicom(p);
  }
}
