import { Apis, ArchiveTaskCreateDto } from "@@/infra/api";
import { User } from "./entities/User";

export class UserRepository {
  async authLogin(user: Pick<User, "username" | "password">) {
    return await Apis.signIn(user);
  }

  async userAuth() {
    return (await Apis.userAuth()) as {
      data: {
        payload: any;
        tokenValid: boolean;
      };
      msg: string;
      code: number;
    };
  }

  async getDmpAnnotators() {
    return await Apis.getDmpAnnotators();
  }

  async createArchiveTask(p: ArchiveTaskCreateDto) {
    return await Apis.createArchiveTask(p);
  }

  async findArchiveTask() {
    return await Apis.findArchiveTask();
  }

  async findDicoms() {
    return await Apis.findDicoms();
  }
}
