import { Outlet, useLocation } from "react-router";
import { ReactNode } from "react";
import "./index.less";

interface LayoutProps {
  children?: JSX.Element;
  leftMenus?: ReactNode;
}

export const Layout = (props: LayoutProps) => {
  const location = useLocation();

  return (
    <div className="layout-container">
      <header> {location.pathname}</header>
      <div>
        <aside>{props.leftMenus}</aside>
        <main>
          <Outlet />
        </main>
      </div>
    </div>
  );
};
