import { TableColumnsType } from "antd";
import { SeriesItemType, StudyItemType } from ".";

export const columnsForStudy: TableColumnsType<StudyItemType> = [
  { title: "PatientID", dataIndex: "PatientID", key: "PatientID" },
  { title: "患者姓名", dataIndex: "PatientName", key: "PatientName" },
  { title: "性别", dataIndex: "PatientSex", key: "PatientSex" },
  { title: "出生日期", dataIndex: "PatientBirthDate", key: "PatientBirthDate" },
  { title: "病例日期", dataIndex: "StudyDate", key: "StudyDate" },
  { title: "机构", dataIndex: "InstitutionName", key: "InstitutionName" },
];

export const columnsForSeries: TableColumnsType<SeriesItemType> = [
  {
    title: "序列描述",
    dataIndex: "SeriesDescription",
    key: "SeriesDescription",
  },
  {
    title: (
      <div>
        <span>采集体位</span>
      </div>
    ),
    key: "PatientPosition",
    render: (_, record: SeriesItemType) => {
      return <>{record.tags.PatientPosition}</>;
    },
  },
  {
    title: "检查区域",
    key: "BodyPartExamined",
    render: (_, record: SeriesItemType) => {
      return <>{record.tags.BodyPartExamined}</>;
    },
  },

  {
    title: "切片数量",
    dataIndex: "InstanceNumber",
    key: "InstanceNumber",
  },
  {
    title: "层厚",
    key: "SliceThickness",
    render: (_, record: SeriesItemType) => {
      return <>{record.tags.SliceThickness}</>;
    },
  },
  {
    title: "制造商",
    dataIndex: "Manufacturer",
    key: "Manufacturer",
  },
  {
    title: "成像方式",
    dataIndex: "Modality",
    key: "Modality",
  },
  // {
  //   title: "焦点大小",
  //   key: "FocalSpots",
  //   render: (_, record: SeriesItemType) => {
  //     return <>{record.tags.FocalSpots}</>;
  //   },
  // },
  // {
  //   title: "图像位数",
  //   key: "BitsStored",
  //   render: (_, record: SeriesItemType) => {
  //     return <>{record.tags.BitsStored} bit</>;
  //   },
  // },
];
