import { Typography, Space, Divider } from "antd";
import React from "react";

interface DicomFileInfoProps {
  totalFileNum: string | number;
  dcmFileNum: string | number;
  dcmFileSize: string | number;
}

const { Text } = Typography;

export const DicomFileInfo: React.FC<DicomFileInfoProps> = ({
  totalFileNum,
  dcmFileNum,
  dcmFileSize,
}) =>
  !!totalFileNum && (
    <Space>
      <Text type="secondary">扫描总文件数: {totalFileNum}</Text>
      <Divider type="vertical" />
      <Text type="secondary">包含: {dcmFileNum} 个dicom文件</Text>
      <Divider type="vertical" />
      <Text type="secondary">dcm文件总体积: {dcmFileSize} </Text>
    </Space>
  );
