import { TableColumnsType } from "antd";
import { Series, Study } from "../DicomUploader/util";

export const columnsForStudy: TableColumnsType<Study> = [
  { title: "病历号", dataIndex: "PatientID", key: "PatientID" },
  { title: "姓名", dataIndex: "PatientName", key: "PatientName" },
  {
    title: "序列数",
    key: "SeriesNumber",
    render: (_: any, record: Study) => <span>{record.subs.length}</span>,
  },
  {
    title: "切片数量",
    key: "SliceNumber",
    render: (_: any, record: Study) => (
      <span>
        {record.subs.map((s) => s.subs.length).reduce((p, n) => p + n)}
      </span>
    ),
  },
  { title: "年龄", dataIndex: "PatientAge", key: "PatientAge" },
  { title: "性别", dataIndex: "PatientSex", key: "PatientSex" },
  {
    title: "扫描日期",
    dataIndex: "AcquisitionDate",
    key: "AcquisitionDate",
  },
  {
    title: "描述",
    dataIndex: "StudyDescription",
    key: "StudyDescription",
  },
];

export const columnsForSeries: TableColumnsType<Series> = [
  {
    title: "序列描述",
    dataIndex: "SeriesDescription",
    key: "SeriesDescription",
  },
  {
    title: "切片数量",
    key: "SliceNumber",
    render: (_: any, record: Series) => <span>{record.subs.length}</span>,
  },
  {
    title: "切片层厚",
    dataIndex: "SliceThickness",
    key: "SliceThickness",
  },
  {
    title: "成像设备",
    dataIndex: "Modality",
    key: "Modality",
  },
  {
    title: "设备制造商",
    dataIndex: "Manufacturer",
    key: "Manufacturer",
  },
];
