import { Study } from "./DicomUploader/util";

/**
 * 新窗口打开ohif阅片
 */
export const openOHIFViewer = (
  StudyInstanceUID: string,
  SeriesInstanceUID: string
) => {
  const target = `http://localhost:3000/viewer/${StudyInstanceUID}?SeriesInstanceUID=${SeriesInstanceUID}`;
  window.open(target, "_blank");
};

export type FlatStudyItem = {
  StudyInstanceUID: string;
  SeriesInstanceUID: string;
  Files: File[];
};

export const flatternStudies = (studies: Study[]): FlatStudyItem[] =>
  studies.flatMap((study) =>
    study.subs.map((series) => ({
      StudyInstanceUID: study.StudyInstanceUID,
      SeriesInstanceUID: series.SeriesInstanceUID,
      Files: series.subs,
    }))
  );
