import { DatabaseOutlined, InboxOutlined } from "@ant-design/icons";
import { MenuItem, getItem, useMenu } from "@/components/Layout/Menu";
import { Layout } from "@/components/Layout";
import { Outlet } from "react-router";

interface AnnotatorDashBoardProps {
  children?: JSX.Element;
}

const annotatorMenuItems: MenuItem[] = [
  getItem("影像", "dicom", <DatabaseOutlined />, [
    getItem("归档", "/archive", <InboxOutlined />),
  ]),
];

export const AnnotatorDashBoard = (props: AnnotatorDashBoardProps) => {
  const { LeftMenu } = useMenu();
  return (
    <Layout leftMenus={<LeftMenu menuItems={annotatorMenuItems} />}>
      <Outlet />
    </Layout>
  );
};
