import { ConfigService } from '@nestjs/config';
import { DataSource } from 'typeorm';

export const MysqlProvider = [
  {
    provide: 'mysql',
    useFactory: async (configService: ConfigService) => {
      const host = configService.get('MYSQL_HOST');
      const port = configService.get('MYSQL_PORT');
      const username = configService.get('MYSQL_USERNAME');
      const password = configService.get('MYSQL_PASSWORD');
      const database = configService.get('MYSQL_DATABASE');
      const config = { host, port, username, password, database };
      const dataSource = new DataSource({
        ...config,
        type: 'mysql',
        entities: [__dirname + '/../**/*.entity{.ts,.js}'],
        synchronize: true,
      });
      return dataSource.initialize();
    },
  },
];
