import { extname } from 'path';

export const editFileName = (req, file, callback) => {
  const fileExtName = extname(file.originalname);
  const randomName = Date.now();
  callback(null, `${randomName}${fileExtName}`);
};

export const getFileExt = (filename: string): string | null => {
  // 文件名为空或者只包含点时，返回 null
  if (!filename || filename.trim().startsWith('.')) return null;
  // 使用 lastIndexOf 获取最后一个点的位置，以支持文件名中存在多个点的情况
  const pos = filename.lastIndexOf('.');
  // 如果没有找到点或者点在文件名的最后一位，返回 null
  if (pos === -1 || pos === filename.length - 1) return null;
  // 返回后缀名，不包括点
  return filename.substring(pos + 1);
};
