import { Module } from '@nestjs/common';
import { RedisService } from './redis.service';
import { ConfigService } from '@nestjs/config';
import Redis from 'ioredis';

@Module({
  imports: [],
  providers: [
    RedisService,
    {
      provide: 'Redis',
      useFactory: (configService: ConfigService) => {
        return new Redis(configService.get<string>('REDIS_URL'));
      },
      inject: [ConfigService],
    },
  ],
  exports: ['Redis', RedisService],
})
export class RedisModule {}
