import {
  Entity,
  PrimaryGeneratedColumn,
  Column,
  ManyToMany,
  JoinTable,
  JoinColumn,
} from 'typeorm';
import { User } from './user.entity';
import { Permission } from './permission.entity';

@Entity()
export class Role {
  @PrimaryGeneratedColumn()
  id: number;

  /**
   * 角色名(en)
   */
  @Column({ unique: true })
  name: string;

  /**
   * 角色名(zh-CN)
   */
  @Column()
  alias: string;

  /**
   * 角色是否启用
   */
  @Column({ default: true })
  isEnabled: boolean;

  /**
   * 角色描述
   */
  @Column()
  description: string;

  @ManyToMany(() => User, (user) => user.roles)
  @JoinColumn()
  users: User[];

  @ManyToMany(() => Permission, { cascade: true })
  @JoinTable()
  permissions: Permission[];
}
