import { Module } from '@nestjs/common';
import { UserController } from './user.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { User } from '../rbac/entity/user.entity';
import { Role } from '../rbac/entity/role.entity';
import { Permission } from '../rbac/entity/permission.entity';
import { UserService } from './user.service';
import { BcryptService } from '../bcrypt/bcrypt.service';

@Module({
  imports: [
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: 'localhost',
      port: 3306,
      username: 'root',
      password: 'root',
      database: 'rbac',
      entities: [__dirname + '/**/*.entity{.ts,.js}'],
      synchronize: true,
      timezone: 'Asia/Shanghai', // 这里设置了时区
    }),
    TypeOrmModule.forFeature([User, Role, Permission]),
  ],
  controllers: [UserController],
  providers: [UserService, BcryptService],
})
export class UserModule {}
