import { IsString, Min, Max } from 'class-validator';

export class AdminSignDto {
  @IsString()
  username: string;

  @IsString()
  @Min(6, { message: '密码长度小于6' })
  @Max(20, { message: '密码长度不能超过20' })
  password: string;
}

export class ResourceDto {
  name: string;
  isEnabled: boolean;
  methodType: string;
  description: string;
}

export class CreateRoleDto {
  name: string;
  alias: string;
  description: string;
}

export class FindRoleDto {
  id: number;
}

export class UpdateRolePermissionsDto {
  permissionIds: string[];
  roleId: number;
}

export class ForbidRoleDto {
  username: string;
  roleId: number;
  isEnabled: boolean;
}

export class CreateUserDto {
  username: string;
  password: string;
  phoneNumber: string | number;
  roles: number[] | string[];
}

export class UpdateUserDto {
  id: number;
  password?: string;
  username: string;
  roles?: number[];
}

export class RoleDto {
  id?: number;
  name: string;
  alias: string;
  isEnabled?: boolean;
}
