import { Inject, Injectable } from '@nestjs/common';
import { ClientProxy } from '@nestjs/microservices';
import { rbacConfiguration } from './resource.table';
import { firstValueFrom } from 'rxjs';

@Injectable()
export class AppService {
  constructor(@Inject('Client') private client: ClientProxy) {}

  /**
   * 初始化权限资源permission表
   */
  async permissionResourceInitialization() {
    console.log('初始化资源权限');
    const pattern = { cmd: 'cert.init.permission.resource' };
    const payload = rbacConfiguration.map((i) => i.permissions).flat();
    const result = await firstValueFrom(this.client.emit(pattern, payload));
    return { code: 'ok', data: result };
  }

  /**
   * 初始化角色资源&超级管理员账号
   */
  async roleInitialization() {
    const pattern = { cmd: 'cert.init.role.admin' };
    const payload = [];
    const result = await firstValueFrom(this.client.emit(pattern, payload));
    return { code: 'ok', data: result };
  }
}
