import { Injectable, NestMiddleware } from '@nestjs/common';
import { NextFunction, Request, Response } from 'express';
import { v4 } from 'uuid';

@Injectable()
export class TraceIdMiddleware implements NestMiddleware {
  use(req: Request, res: Response, next: NextFunction) {
    // Generate a random traceId
    const traceId = v4();
    (req as any).traceId = traceId;
    res.set('X-Trace-Id', traceId);
    next();
  }
}
