interface PermissionItem {
  id: string;
  name: string;
  description?: string;
  resources: string[];
}

interface RbacConfigurationItem {
  moduleName: string;
  updateTime?: string;
  permissions: PermissionItem[];
}

/**
 * 管理平台资源权限模板，写入permission表
 */
export const rbacConfiguration: RbacConfigurationItem[] = [
  {
    moduleName: '基本',
    updateTime: '2023年7月25日 09点40分',
    permissions: [
      {
        id: 'aorta-web',
        name: '主动脉根部',
        description: 'aorta登录',
        resources: ['/aorta/**'], //! 匹配规则是基于 globbing 的，这种模式匹配在 Unix 和 Unix-like 系统中用于文件名的模式匹配，并且被许多编程语言和库所采用。
      },
      {
        id: 'dmp',
        name: '数据管理平台',
        description: 'dmp登录',
        resources: ['/dmp/**'],
      },
    ],
  },
  {
    moduleName: '用户相关',
    permissions: [
      {
        id: 'frontAuth',
        name: '前台登录认证_new',
        description: '...',
        resources: ['/cert/auth'],
      },
      {
        id: 'adminAuth',
        name: '管理平台登录',
        description: '...',
        resources: ['/cert/admin/sign'],
      },
    ],
  },
];
