import {
  Column,
  CreateDateColumn,
  Entity,
  OneToMany,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';
import { Study } from './study';

@Entity()
export class ArchiveTask {
  @PrimaryGeneratedColumn()
  id: number;

  @Column()
  annotatorId: number;

  @Column()
  StudyInstanceUID;

  @Column()
  SeriesInstanceUID: string;

  @CreateDateColumn({ type: 'timestamp' })
  createTime: Date;

  @UpdateDateColumn({ type: 'timestamp' })
  updateTime: Date;

  @OneToMany(() => Study, (study) => study.archiveTask)
  studies: Study[];
}
