import {
  Column,
  CreateDateColumn,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';
import { Study } from './study';

@Entity()
export class Series {
  @PrimaryGeneratedColumn()
  id: number;

  @Column()
  SeriesInstanceUID: string;

  @CreateDateColumn({ type: 'timestamp' })
  createTime: Date;

  @UpdateDateColumn({ type: 'timestamp' })
  updateTime: Date;

  @ManyToOne(() => Study, (study) => study.series)
  @JoinColumn({
    name: 'StudyInstanceUID',
    referencedColumnName: 'StudyInstanceUID',
  }) // 自定义连接列
  study: Study;
}
