import { Controller } from '@nestjs/common';
import { EventPattern } from '@nestjs/microservices';
import { RetrievalService } from './retrieval.service';

@Controller()
export class RetrievalController {
  constructor(private readonly retrievalSerivce: RetrievalService) {}
  @EventPattern({ cmd: 'dicom.retrieval.archivetask.create' })
  async createArchiveTask(payload) {
    const { user, study } = payload;
    const { id: annotatorId } = user;
    return await this.retrievalSerivce.createArchiveTask({
      annotatorId,
      study,
    });
  }
}
