import { Module } from '@nestjs/common';
import { RetrievalController } from './retrieval.controller';
import { RetrievalService } from './retrieval.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ArchiveTask } from './entity/archiveTask';
import { Series } from './entity/series';
import { Study } from './entity/study';

@Module({
  imports: [
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: 'localhost',
      port: 3306,
      username: 'root',
      password: 'root',
      database: 'dicom',
      entities: [__dirname + '/**/*.entity{.ts,.js}'],
      synchronize: true,
      timezone: 'Asia/Shanghai', // 这里设置了时区
    }),
    TypeOrmModule.forFeature([ArchiveTask, Series, Study]),
  ],
  controllers: [RetrievalController],
  providers: [RetrievalService],
})
export class RetrievalModule {}
