import { Controller } from '@nestjs/common';
import { AppService } from './app.service';
import { EventPattern } from '@nestjs/microservices';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @EventPattern({ cmd: 'archive.task.create' })
  async createArchiveTask(payload) {
    return await this.appService.createArchiveTask(payload);
  }

  @EventPattern({ cmd: 'archive.task.find' })
  async findArchiveTask(payload) {
    return await this.appService.findArchiveTask(payload);
  }
}
