import { Body, Controller, Get, Inject, Post, Req } from '@nestjs/common';
import { ClientProxy } from '@nestjs/microservices';
import { firstValueFrom } from 'rxjs';
import { Request } from 'express';

@Controller('annotator')
export class AnnotatorController {
  constructor(@Inject('Client') private readonly client: ClientProxy) {}

  @Get('find/archiveTask')
  async findArchiveTask(@Req() request: Request) {
    const { tokenKeyInCookie } = await firstValueFrom(
      this.client.send({ cmd: 'cert.token.config' }, []),
    );
    const tokenCipher = request.cookies[tokenKeyInCookie];
    const { payload } = await firstValueFrom(
      this.client.send({ cmd: 'cert.token.decode' }, tokenCipher),
    );
    const { username } = payload;
    const data = await firstValueFrom(
      this.client.send({ cmd: 'archive.task.find' }, { username }),
    );
    return { code: 0, data };
  }
}
