import { Module } from '@nestjs/common';
import { DicomController } from './dicom.controller';
import { ClientsModule, Transport } from '@nestjs/microservices';

@Module({
  imports: [
    ClientsModule.register([
      {
        name: 'Client',
        transport: Transport.NATS,
        options: {
          servers: ['nats://localhost:4222'],
          maxReconnectAttempts: 5,
          reconnectTimeWait: 1000,
        },
      },
    ]),
  ],
  controllers: [DicomController],
})
export class DicomModule {}
