import typescript from "rollup-plugin-typescript2";
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import { terser } from "rollup-plugin-terser";

export default {
  input: "src/index.ts",
  output: [
    {
      file: "dist/index.js",
      format: "esm",
      sourcemap: true,
    }
  ],
  external: ['i18next', 'react-i18next', 'i18next-browser-languagedetector', 'i18next-http-backend'],
  plugins: [
    typescript({
      useTsconfigDeclarationDir: true,
    }),
    resolve({ preferBuiltins: true }),
    commonjs(),
    terser()
  ],
};