const Minio = require("minio");
const util = require("util");

type PutObject = {
  /*
   * 文件Buffer
   */
  file: Buffer;
  /**
   * 存储桶中文件的名称
   */
  objectName: string;
  /**
   * minio存储桶名称
   */
  bucketName: string;
};

type GetObject = {
  /**
   * 存储桶中文件的名称
   */
  objectName: string;
  /**
   * minio存储桶名称
   */
  bucketName: string;
};

type Client = {
  endPoint: string;
  port: number;
  useSSL: boolean;
  accessKey: string;
  secretKey: string;
};
export class MinioOSS {
  config: Client;
  /**
   * minio的client
   */
  client: any;
  constructor(p: Client) {
    this.config = p;
    this.client = new Minio.Client(p);
  }
  /**
   * 上传文件
   */
  public put(p: PutObject) {
    const { file, objectName, bucketName } = p;
    return new Promise((resolve, reject) => {
      this.client.putObject(bucketName, objectName, file, (err, etag) => {
        !err ? resolve({ ...etag, code: "uploaded" }) : reject(err);
      });
    });
  }
}
