import typescript from "rollup-plugin-typescript2";
import resolve from "@rollup/plugin-node-resolve";
import commonjs from "@rollup/plugin-commonjs";


export default {
  input: "src/index.ts",
  output: [
    {
      file: "dist/index.js",
      format: "cjs",
      inlineDynamicImports: true
    },
    {
      file: "dist/index.esm.mjs",
      format: "esm",
      inlineDynamicImports: true
    }
  ],
  external: ['crypto-js', 'flatted', 'html2canvas', 'jspdf'],
  plugins: [
    typescript({
      useTsconfigDeclarationDir: true
    }),
    resolve(),
    commonjs(),
  ],
};